## gegl-apply

gegl-apply

## Functions

void | gegl_apply_op ()
GeglBuffer * | gegl_filter_op ()
void | gegl_render_op ()
void | gegl_apply_op_valist ()
GeglBuffer * | gegl_filter_op_valist ()
void | gegl_render_op_valist ()

## Description

## Functions

### gegl_apply_op ()

    void
    gegl_apply_op (GeglBuffer *buffer,
                   const gchar *operation_name,
                   ...);

Apply the operation to buffer, overwritting the contents of buffer.

#### Parameters

buffer | the GeglBuffer to apply onto |
operation_name | name of the operation to apply |
... | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |

### gegl_filter_op ()

    GeglBuffer *
    gegl_filter_op (GeglBuffer *source_buffer,
                    const gchar *operation_name,
                    ...);

Apply the operation to source_buffer, returning the result in a new buffer.

#### Parameters

source_buffer | the source GeglBuffer for the filter |
operation_name | name of the operation to apply |
... | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |

#### Returns

the result of the filter.

[transfer full]

### gegl_render_op ()

    void
    gegl_render_op (GeglBuffer *source_buffer,
                    GeglBuffer *target_buffer,
                    const gchar *operation_name,
                    ...);

Apply the operation to source_buffer, writing the results to target_buffer.

#### Parameters

source_buffer | the source GeglBuffer for the filter |
target_buffer | the source GeglBuffer for the filter |
operation_name | name of the operation to apply |
... | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |

### gegl_apply_op_valist ()

    void
    gegl_apply_op_valist (GeglBuffer *buffer,
                          const gchar *operation_name,
                          va_list var_args);

Apply the operation to buffer, overwritting the contents of buffer.

#### Parameters

buffer | the GeglBuffer to apply onto |
operation_name | name of the operation to apply |
var_args | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |

### gegl_filter_op_valist ()

    GeglBuffer *
    gegl_filter_op_valist (GeglBuffer *source_buffer,
                           const gchar *operation_name,
                           va_list var_args);

Apply the operation to source_buffer, returning the result in a new buffer.

#### Parameters

source_buffer | the source GeglBuffer for the filter |
operation_name | name of the operation to apply |
var_args | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |

#### Returns

the result of the filter.

[transfer full]

### gegl_render_op_valist ()

    void
    gegl_render_op_valist (GeglBuffer *source_buffer,
                           GeglBuffer *target_buffer,
                           const gchar *operation_name,
                           va_list var_args);

Apply the operation to source_buffer, writing the results to target_buffer.

#### Parameters

source_buffer | the source GeglBuffer for the filter |
target_buffer | the source GeglBuffer for the filter |
operation_name | name of the operation to apply |
var_args | the settings for the operation. Zero or more key/value pairs, ended terminated with NULL. |